from NeoBoard import NeoBoard, manage_addNeoBoardForm, manage_addNeoBoard, stylesheet
import NB_ExternalFile
import NeoBoardArticle
from Globals import ImageFile

def initialize(context):
    context.registerClass(
        NeoBoard, 
        constructors = (manage_addNeoBoardForm, manage_addNeoBoard),
        permission = 'Add NeoBoard',
        icon = 'www/neoboard.gif'
        )

methods={ 
	'addNeoBoardArticleForm': NeoBoardArticle.addNeoBoardArticleForm,
	'addNeoBoardArticle': NeoBoardArticle.addNeoBoardArticle,
	'manage_addNeoBoardExternalFileForm': NB_ExternalFile.manage_addExternalFileForm,
	'manage_addNeoBoardExternalFile': NB_ExternalFile.manage_addExternalFile,				
	'getStyleSheet': stylesheet,
}

misc_={
       'neoboard_icon': ImageFile('www/neoboard.gif',globals()),
       'neoboard_article_icon': ImageFile('www/neoboard_article.gif',globals()),
       'external_file_icon': ImageFile('www/external_file.gif',globals()),
      }  