# Base Folder Class for NeoBoard

from Globals import InitializeClass
from OFS.Folder import Folder
from NB_BaseContent import NB_BaseContent

class NB_BaseFolder(Folder, NB_BaseContent):
	"""
	NeoBoard Base Folder Class
	"""

	meta_type='NeoBoard Base Folder'

	def isEnabled(self):
		return self.enabled

	def selfUpgrade(self):		
		pass		

InitializeClass(NB_BaseFolder)